Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Instalar UT2K4
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
baldeante
Guru
Guru


Joined: 17 Jan 2004
Posts: 498
Location: Caldas da Rainha, Portugal

PostPosted: Sat Aug 04, 2007 6:22 pm    Post subject: Instalar UT2K4 Reply with quote

Boas,

Quando tento instalar o UT2k4 tenho esta lista de pacotes no entanto eu tenho o gcc 4.1.2 instalado há alguma forma de instalar o jogo sem ter de adicionar esta versão do gcc ???

Code:

These are the packages that would be merged, in order:

Calculating dependencies  ..... ..... ...... done!
[ebuild  NS   ] sys-devel/gcc-3.3.6-r1  USE="fortran gtk nls (-altivec) -bootstrap -boundschecking -build -doc -gcj (-hardened) -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) -nocxx -nopie -nossp -objc -test -vanilla" 23,534 kB
[ebuild  N    ] games-util/uz2unpack-0.1  2 kB
[ebuild  N    ] virtual/libstdc++-3.3  0 kB
[ebuild  N    ] games-fps/ut2004-bonuspack-ece-1-r3  USE="opengl -dedicated" 198,364 kB
[ebuild  N    ] games-fps/ut2004-data-3186-r3  0 kB
[ebuild  N    ] games-fps/ut2004-bonuspack-mega-1-r2  USE="opengl -dedicated" 0 kB
[ebuild  N    ] games-fps/ut2004-3369-r4  USE="opengl -dedicated" 21,939 kB

Total: 7 packages (6 new, 1 in new slot), Size of downloads: 243,837 kB


O installer que vem no DVD esta sempre a pedir o CD de jogo que eu presumo ser o sexto no entanto eu tenho a versão DVD, o instaler do windows corre sem problemas mas não queria utilizar o wine para instalar o jogo .... e tambem não queria instalar na partição do windows onde eu raramente vou ....

Alguém tem ideias ???
_________________
Never Quit, Never Get Mad, Get Even
Back to top
View user's profile Send private message
BaYGoN
Tux's lil' helper
Tux's lil' helper


Joined: 21 Sep 2004
Posts: 109
Location: Brasília - DF (Brasil)

PostPosted: Mon Aug 06, 2007 1:12 pm    Post subject: Reply with quote

Não há problema em instalar o gcc 3.3.6 que ele pede. Se vc notar, existe um S na parte [ebuild]. Isso significa que esta versão do GCC vai ser instalada junto com a sua atual versão 4 e não irá substitui-la.
Talvez esta dependência deve-se ao fato de que algum ou alguns desses pacotes não compilem corretamente com a versão 4, e portanto, o GCC 3 é requerido.
A única coisa que vc terá que fazer depois de instalar esta versão mais antiga, é voltar seu GCC default para a versão 4, depois que os pacotes do UT2K4 forem compilados com a versão 3. Para isso, vc roda o gcc-config e escolhe a versão 4.

Só por curiosidade, qual foi o ebuild que vc rodou para ter estas dependências, e instalar o UT2K4? Eu tb tenho o UT2K4 em DVD e queria instalá-lo tb.

[]'s
BaYGoN
_________________
Linux User #433896
HP DV6-6190US / Linux 3.4.6-pf #1 SMP PREEMPT Fri Aug 10 13:19:26 BRT 2012 x86_64 Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz GenuineIntel GNU/Linux
"The destiny of every guru is to be a noob for eternity"
Back to top
View user's profile Send private message
baldeante
Guru
Guru


Joined: 17 Jan 2004
Posts: 498
Location: Caldas da Rainha, Portugal

PostPosted: Tue Aug 07, 2007 5:33 pm    Post subject: Reply with quote

Boas,

Obrigado pela resposta.

Eu utilizei o comando que se segue :

Code:
USE=cdrom emerge ut2004


O meu problema e que pelo que consegui apurar este comando so vai funcionar com a versão CD.

Vou tentar copiar o conteúdo do DVD para a pasta onde o CD/DVD deve ser montado para ver o que da .... caso não funcione tenho de gravar em CD-RW as pastas respectivas de cada CD o que vai ser uma seca com RW's de 4x.
_________________
Never Quit, Never Get Mad, Get Even
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum